
Redmine - Defect #4790

Problem with configuring subprojects

2010-02-10 15:26 - Robert Schneider

Status: Closed Start date: 2010-02-10

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version: 0.9.1

Description

I have managers that are allowed to create subprojects, but not (main) projects. Also the manager can edit projects.

If such a manager edits a (main) project (Project->Configuration->Information), e.g. he changes the project homepage, then the drop

down box is prefilled with other projects. This is wrong. It should rather contain an empty entry that is pre-selected.

Associated revisions

Revision 3405 - 2010-02-10 21:38 - Jean-Philippe Lang

Fixed: parent project field doesn't include blank value when a member with 'add subproject' permission edits a child project (#4790).

History

#1 - 2010-02-10 21:30 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.3

- Resolution set to Fixed

This should be fixed in r3405.

#2 - 2010-02-14 16:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3431.
